AutoCad 2D :: Change Order Of Objects In Model Space - Unknown Command Error
Sep 2, 2011
My company upgraded our AutoCAD from 2007 to 2009 this past Monday. I'm getting an error message when trying to change the order of objects in model space.
Command: Unknown command "AI_DRAWORDER". Press F1 for help.
Command: Unknown command "FRONT". Press F1 for help.
is there a way to COPY objects from model space to paper space? CHSPACE only "cuts" geometry. I need the same geometry stacked in both model space and paper space.
I'm trying to import a drawing from a dwt file into a drawing as a new layout. This would be perfect if the model space objects associated with this dwt file would import as well.
We are running AutoCAD 2011 and 2011LT on Windows 7 with 12gb of ram and a NVIDIA Quadro 4000 video card.
The problem did not happen to often when we were on XP, but now, whenever we're in a command, the screen jumps as if snaps were turned on with 1/2" spacing. We've tried upgrading the drivers and graphics cards as well as installed all updates I could find. We make sure drawings are purged and audited and Layer manager IS NOT kept open.
I'm looking for a lisp that will allow me to switch from Model Space to Paper Space and vice versa.Looking for another option other then the "Quick View Layout/Drawings".
I have some code in a VBA program I'm trying to convert to .net that loops through all the entities in model space as in the code snip below. What I can't figure out is how to get the total number of objects in model space at the start so I can use this info to advance a progress bar. ie the equivilent of VBA's "ThisDrawing.ModelSpace.Count"
Dim bt As BlockTable = tr.GetObject(DB.BlockTableId(), OpenMode.ForRead) Dim btr As BlockTableRecord = tr.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForRead) ' Loop for each entity in the modelspace For Each entId As ObjectId In btr '<code sniped> 'advance progress bar Next
I would like to scale all objects by x2 in Model Space using reference point xyz=0. Just like one would do via scale command. However, I would like to do so programmatically in VB.NET
I worked all day yesterday on a drawing and late afternoon all the objects in model space disappeared except for an OLE object (jpg photo). Objects in the two paper spaces are left unchanged. I don't remember what command I was using at the time. There was another OLE jpg that disappeared in model space. It appears that all layers are on. The file is fairly large - 12 MB and even though the objects disappeared, the size has remained the same so I'm hoping that they are still there somewhere. Zoom All and Regen doesn't work.
I use Autocad LT 2013 and Windows 7. The file is too large to attach.
I have two objects that I would like to link together in model space. I realize this is easy to do using paper space but I am curious if this can be done in model space.
The two objects are wire connections but they are spaced far apart in my drawing and can be a pain trying to find thier locations all the time. if I could select or click the first connector and be able to pan or zoom to the appropriate connection by link or other means.
I have always been able to highlight separate objects in model space, and now i can only do one at at time??? I click on the second object, and the first one stops being highlighted.
I don't know if somehow i changed a setting on accident, but i don't know how to get it back to be able to do multiple separately.
In a 2D drawing I want to arrange model space objects in a pviewport such that a specific model space point is in the center of the pviewport. I'm manipulating the pviewport properties to try to accomplish this. To have the view perpendicular to the model space XY plane, I've set the pviewport direction property at 0,0,1 and am varying the arrangement of model space objects with the pviewport target property.
When doing this by hand, I use the DVIEW command and the POints option to set the camera and target. The model space point I want in the center of the pviewport is 16.25,11.5,0. In the DVIEW command, POints option, I set target to 16.25,11.5,0 and camera to 16.25,11.5,1.
When attempting to do this with a macro I'm not finding any obvious correlation between the pviewport target property setting and the location of the desired model space point. Below are the lines to set the target property in a pviewport called PVPort created in previous steps. When I set the target property to 0,0,0, the model space point 45.3541, 17, 0 is in the center of the pviewport. When I set the target property to 16.25,11.5,0, the model space point 61.6041,28.5,0 is in the center of the pviewport.
If the pviewport has a twist angle of a scale not 1.0 (and therfore a different model space point I'm wanting in the center of the pviewport), it gets more confusing.
Dim VPP(0 to 2) as Double VPP(0) = 0: VPP(1) = 0: VPP(2) = 0 PVPort.Target = VPP
I have a multiple blocks in my drawing and I would like to select certain obejects within these block from model space, i.e all lines = White, and then return their their combined length.
At the moment I have to explode all of the blocks, use qselect, run length.lsp to get the combined length of the selection and then undo the actions previous to the block explosion.
We experienced a problem. we have a drawing file, is about 1.6meg not big. while working in model space doing some 3D work, all of a sudden all the objects dissapear except for some text. all layers are on and thawed. we regen all, zoom all. weird thing is when we go into the paper space tabs everything shows up. so all the data is there some place but cant find it in model space.
there are no xrefs in the drawings and i had cleaned all the multiple copies out before to keep the file size down and more workable. this is happening on two machines. other drawings are fine.
After installing the VBA Module, I get the message "Unknown command "VBARUN"". I've rebooted, restarted and tried reinstalling the VBA Module to no avail.
I draw a detail 1 in model space and put dimensions on it say at a overall scale of 1.00, now I draw a detail 2 and change the overall scale to 5.00 and put dimensions on that detail but when I look at detail 1 all my dimension have changed to the 5.00 scale. Where I'm changing the scale is under the tab Format/Dim. Style/Modify/Fit/use overall scale of ..... How can I keep the dimensions from changing when I change the scale this way? I know it can be done because I've work on several dwgs. and changing the overall scale doesn't change on every detail in the model space.
Any way to change that background in which we create models. Someone said that Autodesk knows better than the users so we have a choice between drab grey and depressing grey.
I am using AC 2014 and I still cannot find a way to change that background.
I have some dimensions and mleaders that are in paperspace that I want to put in model space. When I use the CHSPACE command, the mleaders will switch, but the dimensions will not. Is there a reason dimensions cannot switch space? This is in Civil 3D 2010.
How can I iterate through and check the object type of all objects in model space? And... then delete them if they are certain types... like lines, circles, polylines, text, mtext, etc?
Trying to finish someone else's half finished project done in acad 2007. I'm working in Architecture 2009. I just opened a sheet template, xreffed the file into a viewport, and whenever I switch from model to paper space or back I get this message-
Cannot find the resource string number 25900 in resource AecXDisplayPropsData50-
How I would change both the model and paper space thickness of a line in AutoCAD 2004? I've tried changing "line thickness" and "line weight" in the properties dialog box but it doesn't seem to matter whether it's 0 or 9,999,999 or any number, it just looks the same, in both the model space and paper space views.
I have a drawing someone else did that uses polylines of different thickness so I have tried to figure out how they did it. Again, looking at the properties dialog box it seems to make no difference what I set the "line thickness" or "line weight" properties to...the line just stays the same size regardless.
I want to change line thicknesses because I'm designing a surface water pipe layout...I want the pipes to be a lot thicker than the lines that represent the actual building so that they will stand out when I plot the drawing.
Can I change the LTSCALE in paper space and in model space interchangeably?
I am struggling with the batt insulation big time. I get it looking perfect in paper space and then I go to model space and move a piece of batt insulation and then when I go back to paper space the LTSCALE of the batt insulation has changed. It's really weird. Batt insulation is killing me. I set the LTSCALE globally as well as each individual batt insulation but it keeps changing without me messign with the LTSCALE. Killing... Me...
I would like to change the color behind the "2D MODEL SPACE" uniform background, too light. Type Config, go to Display tab and then Color, in the Drawing Windows Colors dialog box.
Today 2013 returns "Command: _cui Unknown command "CUI". Press F1 for help." from the command line. menu and ribbon. What a mess 2013 is! Defeitely not worth the miniscule improvements.
Is there a way to select a number if not all objects in a drawing and then change the properties (specifically color) from the command line i.e. without a dialog window?
Custom Build with Win7 Pro 64Bit SP1 Gigabyte Tecohnology Co. X79-UD3 3.60 gigahertz Intel Core i7-3820 16GB GSkill Ripjaw Z PC3 2133 PC17000 PCI-E ATI FirePro V7800 2GB 256bit ATA SanDisk SDSSDX24 SCSI Disk Device (256 GB) Dell 2001FP and (2) 2407WFPHC Triple monitor setup